PDA

Zobacz pełną wersję : Brak możliwości instalacji komponentów, modułów i templatek.



kosmity
08-12-2005, 07:54
Przy każdorazowej próbie instalacji z panelu admina zgłaszą się błąd:
Nie znaleziono pliku instalacji XML.

W czasie próby instalacji z katalogu na serwerze po przegraniu plików przez ftp zgłasza się błąd:
Nie mogę założyć katalogu......

Nie mam pojęcia czemu: wszelkie chmody są ustawione poprawnie - sprawdzone kilka razy.

Czy wina może leżeć po stronie serwera, akonkretniej trybu SAFE MODE ustawionego na ON. Może ktoś ma inny pomysł.

stone
08-12-2005, 09:58
Jest to eweidentnie wina Safe_mode .
O ile to mozliwe nalezy spowodowac jego wylaczenie (kontakt z adminem serwera) lub zmiana serwera

Adams
06-01-2006, 23:41
Witam.
Ja tez mam podobny problem.
Przy instalacji ClassiFieds wszystko bylo ok.
Teraz zabralem sie za instalacje Cbuilder RC2 i podczas ladowania z pliku ZIP dostaje komunikat ze:

ERROR: Could not find an XML setup file in the package.

oraz pod spodem

Installation file not found:
/public_html/media/install_43bee3dadbcd1/CBuilder1.0RC2unzip1st/

Co trzeba zrobic zeby dalo sie to zainstalowac?

SAFE MODE mam ON niestety :-(

Pozdrawiam

stone
07-01-2006, 19:49
hmm, moze to co powiem zabrzmi niepopularnie, ale polecałbym zmiane serwera. Do mambo istnial patch do safe_mode, nie wiem niestety czy istnieje on do joolmli, ale i tak nie spelniał on swojej roli, Genrealnie safe_mode on to droga przez mękę, nie polecam.

npck
10-01-2006, 13:28
Zauważyłem, że ten problem występuje gdy na serwerze działa php5. Przed chwilą wywaliłem php5 i zainstalowałem 4kę i problem zniknął :)

stone
10-01-2006, 13:32
Nie jest to raczej problem rdzenia php ale raczej ustawien. Przy wylaczonym safe_mode na piątce tez pojdzie, a przy wlaczonym safe_mode na czwórce tez bedzie krzyczał:)

npck
11-01-2006, 12:59
Nie jestem jakimś autorytetem w dziedzinie serwerów, ale sprawdziłem to na dwóch kompach. U mnie przy zainstalowanym php5 nie działa, zarówno przy włączonym jak i wyłączonym Safe Mode. Po zainstalowaniu php4 działa pięknie przy wyłączonym Safe Mode.
pozdrawiam

magic
11-01-2006, 18:22
... U mnie przy zainstalowanym php5 nie działa, zarówno przy włączonym jak i wyłączonym Safe Mode. Po zainstalowaniu php4 działa pięknie przy wyłączonym Safe Mode.
pozdrawiam
I od tego trzeba zacząć, że Joomla 1.0.x działa na PHP 4.x, a na 5.x należy się spodziewać całej listy problemów - z których większość (zależnie od wersji) można tak czy inaczej pokonać (np. odpowiednie zmiany w php.ini).
Dopiero Joomla 1.1 ma działać i korzystać w pełni z dobrodziejstw php 5 - o czym się można wstępnie przekonać instalując 1.1. Alfa (do pobrania: na forge (http://forge.joomla.org/sf/frs/do/listReleases/projects.joomla/frs.joomla_1_1_x)).

coolka
14-02-2006, 21:43
Ten sam problem mam z komponentem Zoom. Ale objawił się on tylko w plikach z polską wersją. Komponent pobrany ze strony autora działał już poprawnie.

livio
14-02-2006, 22:37
Nie w jednym miejscu napisane jest, iż Joomla! nie lubi php5, ale kocha się w php4x [Walentynkami zajeżdża, czyż nie?].

suder
17-04-2006, 12:59
To powiedzcie proszę, co zrobić aby zainstalować cokolwiek jesli mamy safemode on.

Czy mam wgrać przez ftp katalog komponentu, modułu i komponentu do folderu administratora i joomla to "chwyci"? Załóżmy że zainstalowałem na lokalnym serwie to i mam te katalogi np joomfisha. Czy mam je skopiować na serwa doecelowego?

Błagam, nie mowcie "zmien serwa" bo to troche nierealne.

Czy co zrobić. Bo to na prawde jest ciężkie.

viper
17-04-2006, 13:29
To powiedzcie proszę, co zrobić aby zainstalować cokolwiek jesli mamy safemode on.

Czy mam wgrać przez ftp katalog komponentu, modułu i komponentu do folderu administratora i joomla to "chwyci"? Załóżmy że zainstalowałem na lokalnym serwie to i mam te katalogi np joomfisha. Czy mam je skopiować na serwa doecelowego?

Błagam, nie mowcie "zmien serwa" bo to troche nierealne.

Czy co zrobić. Bo to na prawde jest ciężkie.
Jak "ręcznie" zainstalować komponent? (http://www.pomoc.joomla.pl/pomoc/index.php/content/view/411/26/)